﻿// Fill out your copyright notice in the Description page of Project Settings.


#include "Weapon/LMWeaponManager.h"

#include "Weapon/LMWeapon.h"


ULMWeaponManager::ULMWeaponManager()
{
	PrimaryComponentTick.bCanEverTick = false;
}

void ULMWeaponManager::BeginPlay()
{
	Super::BeginPlay();

	for (auto Weapon : StartingWeapons)
	{
		if (Weapon)
		{
			ULMWeapon* Instance = NewObject<ULMWeapon>(this, Weapon);
			Weapons.Add(Instance);
		}
	}

	if (!Weapons.IsEmpty())
	{
		SetWeapon(CurrentWeaponIndex);
	}
}


void ULMWeaponManager::SetWeapon(int Index)
{
	if (Index < 0 || Index >= Weapons.Num())
	{
		GEngine->AddOnScreenDebugMessage(INDEX_NONE, 5, FColor::Red, "Invalid Weapon Index");
		return;
	}

	CurrentWeaponIndex = Index;

	if (WeaponMeshComponent)
	{
		// TODO
		// WeaponMeshComponent->SetSkeletalMesh()
	}
}

